<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: vx_perf_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>vx_perf_t Struct Reference</h1><!-- doxytag: class="vx_perf_t" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>The performance measurement structure. The time or durations are in units of nano seconds. </p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#aa92272cf1c97ed31a638fa7e6b0f4826">vx_uint64</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structvx__perf__t.html#a07b019ddbe5e6b1f62c07dd3b2d1c23e">tmp</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Holds the last measurement.  <a href="#a07b019ddbe5e6b1f62c07dd3b2d1c23e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#aa92272cf1c97ed31a638fa7e6b0f4826">vx_uint64</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structvx__perf__t.html#abb283d5564a3d785736448c223800a52">beg</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Holds the first measurement in a set.  <a href="#abb283d5564a3d785736448c223800a52"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#aa92272cf1c97ed31a638fa7e6b0f4826">vx_uint64</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structvx__perf__t.html#adae6b5d0c938176c81e3527cbbe41e0b">end</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Holds the last measurement in a set.  <a href="#adae6b5d0c938176c81e3527cbbe41e0b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#aa92272cf1c97ed31a638fa7e6b0f4826">vx_uint64</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structvx__perf__t.html#a7f18945629adba34a23bf66a959560e8">sum</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Holds the summation of durations.  <a href="#a7f18945629adba34a23bf66a959560e8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#aa92272cf1c97ed31a638fa7e6b0f4826">vx_uint64</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structvx__perf__t.html#ae5462847dea84081b46e1b9ee7f39121">avg</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Holds the average of the durations.  <a href="#ae5462847dea84081b46e1b9ee7f39121"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#aa92272cf1c97ed31a638fa7e6b0f4826">vx_uint64</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structvx__perf__t.html#ad1606f8c397b230151c1230eb178a777">min</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Holds the minimum of the durations.  <a href="#ad1606f8c397b230151c1230eb178a777"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#aa92272cf1c97ed31a638fa7e6b0f4826">vx_uint64</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structvx__perf__t.html#af25ea855b02f3d2f94e50d87898a80ad">num</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Holds the number of measurements.  <a href="#af25ea855b02f3d2f94e50d87898a80ad"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#aa92272cf1c97ed31a638fa7e6b0f4826">vx_uint64</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structvx__perf__t.html#ac029bfb16aa32e7859108d348ec426b0">max</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Holds the maximum of the durations.  <a href="#ac029bfb16aa32e7859108d348ec426b0"></a><br/></td></tr>
</table>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="a07b019ddbe5e6b1f62c07dd3b2d1c23e"></a><!-- doxytag: member="vx_perf_t::tmp" ref="a07b019ddbe5e6b1f62c07dd3b2d1c23e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#aa92272cf1c97ed31a638fa7e6b0f4826">vx_uint64</a> <a class="el" href="structvx__perf__t.html#a07b019ddbe5e6b1f62c07dd3b2d1c23e">vx_perf_t::tmp</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Holds the last measurement. </p>

</div>
</div>
<a class="anchor" id="abb283d5564a3d785736448c223800a52"></a><!-- doxytag: member="vx_perf_t::beg" ref="abb283d5564a3d785736448c223800a52" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#aa92272cf1c97ed31a638fa7e6b0f4826">vx_uint64</a> <a class="el" href="structvx__perf__t.html#abb283d5564a3d785736448c223800a52">vx_perf_t::beg</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Holds the first measurement in a set. </p>

</div>
</div>
<a class="anchor" id="adae6b5d0c938176c81e3527cbbe41e0b"></a><!-- doxytag: member="vx_perf_t::end" ref="adae6b5d0c938176c81e3527cbbe41e0b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#aa92272cf1c97ed31a638fa7e6b0f4826">vx_uint64</a> <a class="el" href="structvx__perf__t.html#adae6b5d0c938176c81e3527cbbe41e0b">vx_perf_t::end</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Holds the last measurement in a set. </p>

</div>
</div>
<a class="anchor" id="a7f18945629adba34a23bf66a959560e8"></a><!-- doxytag: member="vx_perf_t::sum" ref="a7f18945629adba34a23bf66a959560e8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#aa92272cf1c97ed31a638fa7e6b0f4826">vx_uint64</a> <a class="el" href="structvx__perf__t.html#a7f18945629adba34a23bf66a959560e8">vx_perf_t::sum</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Holds the summation of durations. </p>

</div>
</div>
<a class="anchor" id="ae5462847dea84081b46e1b9ee7f39121"></a><!-- doxytag: member="vx_perf_t::avg" ref="ae5462847dea84081b46e1b9ee7f39121" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#aa92272cf1c97ed31a638fa7e6b0f4826">vx_uint64</a> <a class="el" href="structvx__perf__t.html#ae5462847dea84081b46e1b9ee7f39121">vx_perf_t::avg</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Holds the average of the durations. </p>

</div>
</div>
<a class="anchor" id="ad1606f8c397b230151c1230eb178a777"></a><!-- doxytag: member="vx_perf_t::min" ref="ad1606f8c397b230151c1230eb178a777" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#aa92272cf1c97ed31a638fa7e6b0f4826">vx_uint64</a> <a class="el" href="structvx__perf__t.html#ad1606f8c397b230151c1230eb178a777">vx_perf_t::min</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Holds the minimum of the durations. </p>

</div>
</div>
<a class="anchor" id="af25ea855b02f3d2f94e50d87898a80ad"></a><!-- doxytag: member="vx_perf_t::num" ref="af25ea855b02f3d2f94e50d87898a80ad" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#aa92272cf1c97ed31a638fa7e6b0f4826">vx_uint64</a> <a class="el" href="structvx__perf__t.html#af25ea855b02f3d2f94e50d87898a80ad">vx_perf_t::num</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Holds the number of measurements. </p>

</div>
</div>
<a class="anchor" id="ac029bfb16aa32e7859108d348ec426b0"></a><!-- doxytag: member="vx_perf_t::max" ref="ac029bfb16aa32e7859108d348ec426b0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#aa92272cf1c97ed31a638fa7e6b0f4826">vx_uint64</a> <a class="el" href="structvx__perf__t.html#ac029bfb16aa32e7859108d348ec426b0">vx_perf_t::max</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Holds the maximum of the durations. </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
